#!/bin/sh

# Making /etc/smack -> /opt/etc/stack for RPM application upgrade
if [ -d /etc/smack -a ! -L /etc/smack ]; then
	/bin/cp -rfp /etc/smack /opt/etc/
	/bin/rm -rf /etc/smack
fi
/bin/ln -sf /opt/etc/smack /etc/

if [ -f /smack/load2 ]; then
	/bin/rm -f /smack/load2
fi

if [ -L /etc/smack ]; then
	# if /etc/smack is a symbolic link (temporary,  have to remove symbolic link)
	/bin/rm -rf /opt/etc/smack/accesses.d/*.efl

	cd /opt/etc/smack/accesses2.d/
	/usr/bin/find *.rule -exec /usr/bin/smack-policy-gen {} \;
	cd -

	echo "backup smack accesses"
	/bin/cp -rfp /opt/etc/smack /etc/smack_b
else
	if [ -d /opt/etc/smack/accesses2.d ]; then
		# if symbloic link removed and there is a /opt/etc/smack directory (EFL-TPK rules)

		if [ ! -d /opt/etc/smack/accesses.d ]; then
			/bin/mkdir -p /opt/etc/smack/accesses.d
		fi

		/bin/rm -rf /opt/etc/smack/accesses.d/*.efl

		cd /opt/etc/smack/accesses2.d/
		/usr/bin/find *.rule -exec /usr/bin/smack-policy-gen {} \;
		cd -
	fi

	# for platform & non-downloadable application rules
	/bin/rm -rf /etc/smack/accesses.d/*.efl

	cd /etc/smack/accesses2.d/
	/usr/bin/find *.rule -exec /usr/bin/smack-policy-gen {} \;
	cd -

	echo "backup smack accesses"
	/bin/cp -rfp /etc/smack /etc/smack_b
fi

if [ -f /opt/dbspace/.rules-db.db3 ]; then
	echo "backup smack rule db"
	/bin/cp -fp /opt/dbspace/.rules-db.db3 /etc/smack_b
fi

# Temporay script for labeling icons directory
find $REF_PATH/usr/share/icons -exec chsmack -a "_" {} \;
find $REF_PATH/usr/share/dbus-1/services/ -exec chsmack -a "_" {} \;
chsmack -a "_" $REF_PATH/usr/lib/libcontacts-service*
chsmack -a "_" $REF_PATH/usr/lib/libwnoti-client2.so

